All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.form
Class PasswordTag

    com.sas.taglib.servlet.tbeans.form.PasswordTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class PasswordTag

PasswordTag is the tag handler class for the sas:Password custom tag . PasswordTag is invoked by the JSP page to evaluate the sas:Password custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, Password, to execute the methods.

If you need to extend or modify the functionality of the sas:Password custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:Password custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  `BasePassword`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.servlet.tbeans.form.BaseFormElementBodyTag
`accessKey, onBlur, onChange, onClick, onDblClick, onFocus, onKeyDown, onKeyPress, onKeyUp, onMouseDown, onMouseMove, onMouseOut, onMouseOver, onMouseUp, onSelect, styleClassPrefix, tabIndex`

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`PasswordTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the attributes on the underlying Password object.
`int` | `doStartTag()` Processes the start tag for this instance.
`boolean` | `getEnabled()` Gets the enabled attribute of the PasswordTag.
`int` | `getMaximumlength()` Gets the maximumlength property (int) of the Password.
`boolean` | `getReadOnly()` Gets the readOnly attribute of the PasswordTag.
`int` | `getSize()` Gets the size property (int) of the Password.
`java.lang.String` | `getText()` Gets the text property (String) of the Password.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setAutoComplete(boolean value)` Sets the autoComplete attribute (boolean) of the Password Tag.
`void` | `setEnabled(boolean enabled)` Sets the enabled attribute (boolean) of the PasswordTag.
`void` | `setMaximumLength(int maxlen)` Sets the maximumlength property (int) of the Password.
`void` | `setReadOnly(boolean readOnly)` Sets the readOnly attribute (boolean) of the PasswordTag.
`void` | `setSize(int size)` Sets the size property (int) of the Password.
`void` | `setText(java.lang.String text)` Sets the text property (String) of the Password.

Methods inherited from class com.sas.taglib.servlet.tbeans.form.BaseFormElementBodyTag
`getAccessKey, getOnBlur, getOnChange, getOnClick, getOnDblClick, getOnFocus, getOnKeyDown, getOnKeyPress, getOnKeyUp, getOnMouseDown, getOnMouseMove, getOnMouseOut, getOnMouseOver, getOnMouseUp, getOnSelect, getStyleClassPrefix, getTabIndex, isEnabled, setAccessKey, setOnBlur, setOnChange, setOnClick, setOnDblClick, setOnFocus, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setOnSelect, setStyleClassPrefix, setTabIndex`

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`doEndTag, getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### PasswordTag

    public PasswordTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseFormElementBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setText

    public void setText(java.lang.String text)

  Sets the text property (String) of the Password. The text String is used to set the text of the Password text field.

  Parameters:
    `text` - The text of the Password.

### setSize

    public void setSize(int size)

  Sets the size property (int) of the Password. The size String is used to set the size of the password field.

  Parameters:
    `size` - The size of the Password

### setMaximumLength

    public void setMaximumLength(int maxlen)

  Sets the maximumlength property (int) of the Password. The maximumlength specifies the maximum number of characters that can be entered in the password field.

  Parameters:
    `maximumlength` - The maximum length of the Password

### getText

    public java.lang.String getText()

  Gets the text property (String) of the Password. The text String is used to set the text of the Password text field.

  Returns:
    the Password text

### getSize

    public int getSize()

  Gets the size property (int) of the Password. The size String is used to set the size of the password field.

  Returns:
    the size of the Password

### getMaximumlength

    public int getMaximumlength()

  Gets the maximumlength property (int) of the Password. The maximumlength specifies the maximum number of characters that can be entered in the password field.

  Returns:
    the maximumlength of the Password

### setEnabled

    public void setEnabled(boolean enabled)

  Sets the enabled attribute (boolean) of the PasswordTag. Valid values are: true, false.

  Overrides:
    `setEnabled` in class `BaseFormElementBodyTag`
  Parameters:
    `enabled` - The state of the Password element; "false" results in a disabled password.
  See Also:
    `BaseFormElementBodyTag.isEnabled()`

### getEnabled

    public boolean getEnabled()

  Gets the enabled attribute of the PasswordTag.

  Returns:
    true if the password is enabled

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Sets the readOnly attribute (boolean) of the PasswordTag. Valid values are: true, false.

  Parameters:
    `readOnly` - The state of the Password element; "true" results in a read only password.

### getReadOnly

    public boolean getReadOnly()

  Gets the readOnly attribute of the PasswordTag.

  Returns:
    true if the password is readOnly

### setAutoComplete

    public void setAutoComplete(boolean value)

  Sets the autoComplete attribute (boolean) of the Password Tag.

  Parameters:
    `value` - The state of the autoComplete property

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if some type of JSP error occurs
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the attributes on the underlying Password object.

  Overrides:
    `applyAttributes` in class `BaseFormElementBodyTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if some type of JSP error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.